当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已解决]GCC安装出错,求助
帖子发表于 : 2008-07-05 16:57 
头像

注册: 2008-07-05 15:02
帖子: 8
地址: 天津
送出感谢: 0 次
接收感谢: 0 次
~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
build-essential: 依赖: libc6-dev 但是它将不会被安装 或
libc-dev
依赖: g++ (>= 4:4.1.1) 但是它将不会被安装
依赖: dpkg-dev (>= 1.13.5) 但是它将不会被安装
很是郁闷,不知道怎么回事,本来觉得linux新鲜,想玩玩,没想到配置个GCC都出这么错,快没信心了,求助各位高手!!!!!!!!!!!!


最后由 aurum 编辑于 2008-07-06 21:00,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-07-05 17:05 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
源错了


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-07-05 17:14 
头像

注册: 2008-07-05 15:02
帖子: 8
地址: 天津
送出感谢: 0 次
接收感谢: 0 次
deb http://opensource.nchc.org.tw/ubuntu/ feisty main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-backports main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-proposed main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-security main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-updates main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-backports main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-proposed main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-security main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-updates main multiverse restricted universe


以上是我的sources.list中的源,后来我添加欧洲官方源如下:
deb http://archive.ubuntu.com/ubuntu/ dapper main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ dapper-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ dapper-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ dapper-backports main r estricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu-cn/ dapper main restricted universe multiverse

结果还是一样,请赐教,谢谢!!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-07-05 17:29 
头像

注册: 2007-04-25 13:12
帖子: 2838
送出感谢: 0 次
接收感谢: 0 次
dapper.... :shock:

http://wiki.ubuntu.org.cn/Qref/Source#H ... 8.E6.9C.AC


_________________
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS


页首
 用户资料  
 
5 楼 
 文章标题 : 感谢2楼和4楼,问题解决
帖子发表于 : 2008-07-05 18:32 
头像

注册: 2008-07-05 15:02
帖子: 8
地址: 天津
送出感谢: 0 次
接收感谢: 0 次
在群里我发现有几个和我遇到同样的问题,现总结如下:
原因:如2楼BigSnake.NET所言,源错了,我觉得和我于到同样问题的朋友应该是自己修改过源,感谢4楼solcomo提供的源地址
解决方案如下:
1、我的源为:
deb http://opensource.nchc.org.tw/ubuntu/ feisty main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-backports main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-proposed main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-security main multiverse restricted universe
deb http://opensource.nchc.org.tw/ubuntu/ feisty-updates main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-backports main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-proposed main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-security main multiverse restricted universe
deb-src http://opensource.nchc.org.tw/ubuntu/ feisty-updates main multiverse restricted universe
#begin sources.list
deb http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu/ hardy main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-proposed main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-proposed main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
以上源可能有冗余,但我编译通过
2、执行如下代码:
sudo aptitude update
sudo aptitude install build-essential
在此感谢ekeen,他在http://forum.ubuntu.org.cn/viewtopic.php?t=126524有提示,对象我这样的菜鸟提供了很大的帮助
以上就可以了,以下是我的安装结果:
sudo aptitude install build-essential
[sudo] password for aurum:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
Reading extended state information
Initializing package states... 完成
Building tag database... 完成
The following packages have been automatically kept back:
consolekit dbus foomatic-filters gcc-3.3-base hpijs hplip kdelibs-data
kdelibs4c2a language-pack-kde-en-base libglib2.0-0 libgphoto2-2
libgphoto2-port0 libhal1 libpoppler2 libsdl-mixer1.2
linux-restricted-modules-common openssl poppler-utils samba-common
ssl-cert wormux-data x11-common xserver-xorg xserver-xorg-core
xserver-xorg-input-all xserver-xorg-video-all xserver-xorg-video-amd
xserver-xorg-video-cirrus xserver-xorg-video-intel xserver-xorg-video-nsc
xutils
The following NEW packages will be automatically installed:
dpkg-dev g++ g++-4.2 libc6-dev libstdc++6-4.2-dev libtimedate-perl
linux-libc-dev patch
The following packages have been kept back:
app-install-data apparmor apparmor-utils apport apport-gtk base-files
bash bsdutils capplets-data compiz compiz-core compiz-fusion-plugins-main
compiz-gnome compiz-plugins dbus-x11 deskbar-applet desktop-file-utils
dpkg ekiga eog evince evolution evolution-common evolution-data-server
evolution-data-server-common evolution-exchange evolution-plugins f-spot
file file-roller firefox firefox-3.0 firefox-3.0-gnome-support
firefox-gnome-support friendly-recovery gcalctool gconf-editor gdb gdm
gedit gedit-common gksu gnome-about gnome-app-install gnome-applets
gnome-applets-data gnome-cards-data gnome-control-center
gnome-desktop-data gnome-games gnome-games-data gnome-keyring gnome-media
gnome-menus gnome-nettool gnome-panel gnome-panel-data
gnome-settings-daemon gnome-system-monitor gnome-terminal gnome-utils
grub gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly
gtk2-engines-murrine gtk2-engines-pixbuf gtk2-engines-ubuntulooks
gtkhtml3.14 gucharmap guidance-backends gvfs gvfs-backends hal hal-info
initramfs-tools jockey-common jockey-gtk klibc-utils language-pack-en
language-pack-en-base language-pack-gnome-en language-pack-gnome-en-base
language-pack-kde-en language-support-writing-en libcairo2 libcamel1.2-11
libdbus-1-3 libdecoration0 libdeskbar-tracker libebook1.2-9 libecal1.2-7
libedata-book1.2-2 libedata-cal1.2-6 libedataserver1.2-9
libedataserverui1.2-8 libeel2-2 libeel2-data libegroupwise1.2-13
libexchange-storage1.2-3 libgdata-google1.2-1 libgdata1.2-1 libgksu2-0
libgnome-desktop-2 libgnome-keyring0 libgnome-menu2
libgnome-window-settings1 libgnomeui-0 libgnomeui-common libgnutls13
libgtk-vnc-1.0-0 libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
libgtkhtml3.14-19 libgucharmap6 libgvfscommon0 libhal-storage1 libklibc
libldap-2.4-2 liblircclient0 liblpint-bonobo0 libmagic1
libmysqlclient15off libnautilus-extension1 libnspr4-0d libnss3-1d
libntfs-3g23 libpam-gnome-keyring libpam-modules libpam-runtime libpam0g
libpanel-applet2-0 libparted1.7-1 libpolkit-gnome0 libpoppler-glib2
libpurple0 libsmbclient libspeex1 libssl0.9.8 libstdc++5
libtotem-plparser10 libtracker-gtk0 libtrackerclient0 linux-generic
linux-headers-generic linux-image-generic
linux-restricted-modules-generic lshw mount mysql-common nautilus
nautilus-data notification-daemon ntfs-3g nvidia-glx-new
openoffice.org-base-core openoffice.org-calc openoffice.org-common
openoffice.org-core openoffice.org-draw openoffice.org-gnome
openoffice.org-gtk openoffice.org-help-en-gb openoffice.org-help-en-us
openoffice.org-impress openoffice.org-l10n-common
openoffice.org-l10n-en-gb openoffice.org-l10n-en-za
openoffice.org-style-human openoffice.org-writer openssh-client parted
pciutils pidgin pidgin-data pm-utils policykit-gnome python-apport
python-apt python-central python-gmenu python-launchpad-bugs
python-launchpad-integration python-problem-report python-uno
python-virtkey rar rhythmbox seahorse smbclient sound-juicer
ssh-askpass-gnome sudo synaptic tomboy totem totem-gstreamer
totem-mozilla totem-plugins tracker tracker-search-tool
transmission-common transmission-gtk ttf-opensymbol tzdata ubuntu-desktop
udev ufw unrar update-manager update-manager-core update-notifier
update-notifier-common util-linux util-linux-locales vino wormux
xbase-clients xorg xulrunner-1.9 xulrunner-1.9-gnome-support yelp
The following NEW packages will be installed:
build-essential dpkg-dev g++ g++-4.2 libc6-dev libstdc++6-4.2-dev
libtimedate-perl linux-libc-dev patch
The following packages will be upgraded:
cpp gcc
2 packages upgraded, 9 newly installed, 0 to remove and 253 not upgraded.
Need to get 8743kB of archives. After unpacking 34.3MB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... 完成
Get:1 http://opensource.nchc.org.tw feisty/main patch 2.5.9-4 [95.6kB]
Get:2 http://archive.ubuntu.com hardy-updates/main cpp 4:4.2.3-1ubuntu6 [34.6kB]
Get:3 http://archive.ubuntu.com hardy-updates/main linux-libc-dev 2.6.24-19.34 [695kB]
Get:4 http://archive.ubuntu.com hardy/main libc6-dev 2.7-10ubuntu3 [3344kB]
Get:5 http://archive.ubuntu.com hardy-updates/main gcc 4:4.2.3-1ubuntu6 [5096B]
Get:6 http://archive.ubuntu.com hardy/main libstdc++6-4.2-dev 4.2.3-2ubuntu7 [1187kB]
Get:7 http://archive.ubuntu.com hardy/main g++-4.2 4.2.3-2ubuntu7 [2784kB]
Get:8 http://archive.ubuntu.com hardy-updates/main g++ 4:4.2.3-1ubuntu6 [1440B]
Get:9 http://archive.ubuntu.com hardy/main libtimedate-perl 1.1600-9 [30.1kB]
Get:10 http://archive.ubuntu.com hardy-updates/main dpkg-dev 1.14.16.6ubuntu4 [559kB]
Get:11 http://archive.ubuntu.com hardy/main build-essential 11.3ubuntu1 [7066B]
Fetched 8743kB in 15min31s (9390B/s)
(正在读取数据库 ... 系统当前总共安装有 110291 个文件和目录。)
正预备替换 cpp 4:4.2.3-1ubuntu3 (使用 .../cpp_4%3a4.2.3-1ubuntu6_i386.deb) ...
正在解压缩将用于更替的包文件 cpp ...
选中了曾被取消选择的软件包 linux-libc-dev。
正在解压缩 linux-libc-dev (从 .../linux-libc-dev_2.6.24-19.34_i386.deb) ...
选中了曾被取消选择的软件包 libc6-dev。
正在解压缩 libc6-dev (从 .../libc6-dev_2.7-10ubuntu3_i386.deb) ...
正预备替换 gcc 4:4.2.3-1ubuntu3 (使用 .../gcc_4%3a4.2.3-1ubuntu6_i386.deb) ...
Removing old gcc doc directory.
正在解压缩将用于更替的包文件 gcc ...
选中了曾被取消选择的软件包 libstdc++6-4.2-dev。
正在解压缩 libstdc++6-4.2-dev (从 .../libstdc++6-4.2-dev_4.2.3-2ubuntu7_i386.deb) ...
选中了曾被取消选择的软件包 g++-4.2。
正在解压缩 g++-4.2 (从 .../g++-4.2_4.2.3-2ubuntu7_i386.deb) ...
选中了曾被取消选择的软件包 g++。
正在解压缩 g++ (从 .../g++_4%3a4.2.3-1ubuntu6_i386.deb) ...
选中了曾被取消选择的软件包 libtimedate-perl。
正在解压缩 libtimedate-perl (从 .../libtimedate-perl_1.1600-9_all.deb) ...
选中了曾被取消选择的软件包 patch。
正在解压缩 patch (从 .../patch_2.5.9-4_i386.deb) ...
选中了曾被取消选择的软件包 dpkg-dev。
正在解压缩 dpkg-dev (从 .../dpkg-dev_1.14.16.6ubuntu4_all.deb) ...
选中了曾被取消选择的软件包 build-essential。
正在解压缩 build-essential (从 .../build-essential_11.3ubuntu1_i386.deb) ...
正在设置 cpp (4:4.2.3-1ubuntu6) ...

正在设置 linux-libc-dev (2.6.24-19.34) ...
正在设置 libc6-dev (2.7-10ubuntu3) ...
正在设置 gcc (4:4.2.3-1ubuntu6) ...

正在设置 libtimedate-perl (1.1600-9) ...
正在设置 patch (2.5.9-4) ...
正在设置 dpkg-dev (1.14.16.6ubuntu4) ...
正在设置 libstdc++6-4.2-dev (4.2.3-2ubuntu7) ...
正在设置 g++-4.2 (4.2.3-2ubuntu7) ...
正在设置 g++ (4:4.2.3-1ubuntu6) ...

正在设置 build-essential (11.3ubuntu1) ...
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
Reading extended state information
Initializing package states... 完成
Writing extended state information... 完成
Building tag database... 完成

感谢各位的帮助!!!!!!!!!!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译